Skip to content

Create content data export

Request

To create your export job, you need to send a POST request to the export endpoint https://api.intercom.io/export/content/data.

This endpoint exports message delivery and engagement data for outbound content (Emails, Posts, Custom Bots, Surveys, Tours, Series, and more). The exported data includes who received each message, when they received it, and how they engaged with it (opens, clicks, replies, completions, dismissals, unsubscribes, and bounces). It does not export raw message or conversation content.

The only parameters you need to provide are the range of dates that you want exported.

🚧 Limit of one active job

You can only have one active job per workspace. You will receive a HTTP status code of 429 with the message Exceeded rate limit of 1 pending message data export jobs if you attempt to create a second concurrent job.

❗️ Updated_at not included

It should be noted that the timeframe only includes messages sent during the time period and not messages that were only updated during this period. For example, if a message was updated yesterday but sent two days ago, you would need to set the created_at_after date before the message was sent to include that in your retrieval job.

📘 Date ranges are inclusive

Requesting data for 2018-06-01 until 2018-06-30 will get all data for those days including those specified - e.g. 2018-06-01 00:00:00 until 2018-06-30 23:59:99.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.12"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.12
Bodyapplication/json
created_at_afterintegerrequired

The start date that you request data for. It must be formatted as a unix timestamp.

Example:1527811200
created_at_beforeintegerrequired

The end date that you request data for. It must be formatted as a unix timestamp.

Example:1527811200
curl -i -X POST \
  https://api.intercom.io/export/content/data \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.12' \
  -d '{
    "created_at_after": 1736183825,
    "created_at_before": 1736201825
  }'

Responses

successful

Bodyapplication/json
job_identfierstring

The identifier for your job.

Example:"orzzsbd7hk67xyu"
statusstring

The current state of your job.

Enum:"pending""in_progress""failed""completed""no_data""canceled"
Example:"pending"
download_expires_atstring

The time after which you will not be able to access the data.

Example:"1674917488"
download_urlstring

The location where you can download your data.

Example:"https://api.intercom.test/download/messages/data/example"
Response
{ "job_identifier": "d56irvdavk76r2nt", "status": "pending", "download_url": "", "download_expires_at": "" }